Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Compiler.MAlonzo.Primitives

Synopsis

- checkTypeOfMain :: QName -> Type -> TCM [Decl] -> TCM [Decl]
- treelessPrimName :: TPrim -> String
- importsForPrim :: TCM [ModuleName]
- xForPrim :: [(String, TCM [a])] -> TCM [a]
- primBody :: String -> TCM Exp
- noCheckCover :: QName -> TCM Bool
- pconName :: String -> TCM String
- bltQual' :: String -> String -> TCM String

# Documentation

checkTypeOfMain :: QName -> Type -> TCM [Decl] -> TCM [Decl] #

Check that the main function has type IO a, for some a.

treelessPrimName :: TPrim -> String #

importsForPrim :: TCM [ModuleName] #

xForPrim :: [(String, TCM [a])] -> TCM [a] #

primBody :: String -> TCM Exp #

noCheckCover :: QName -> TCM Bool #

pconName :: String -> TCM String #

bltQual' :: String -> String -> TCM String #